Skip to content

Midjourney Batch query ​

Batch fetch tasks by ID list. Returns an array of task objects with fields mostly matching Single-task fetch, but usually without , , or .

http
POST /mj/task/list-by-condition

Request headers ​

NameTypeRequiredDescription
stringYesBearer token, e.g.
stringYes

Request body ​

NameTypeRequiredDescription
arrayYesTask ID list

Request example ​

bash
curl -X POST https://octopusx.ai/mj/task/list-by-condition \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"ids":["1712158011464906"]}'

Response example ​

json
[
  {
    "id": "1712158011464906",
    "action": "IMAGINE",
    "prompt": "Cat",
    "promptEn": "Cat",
    "description": "Submit success",
    "submitTime": 1735689600000,
    "startTime": 1735689610000,
    "finishTime": 0,
    "imageUrl": "",
    "status": "IN_PROGRESS",
    "progress": "65%",
    "failReason": "",
    "buttons": null,
    "state": ""
  }
]